<?php


namespace AustraliaPost\Extensions\Business\Endpoints\Errors;


use AustraliaPost\Extensions\Business\Helpers\Utilities;

class Address_Error extends Error
{

	/**
	 * @return string
	 */
	public function error_message() {

		if (Utilities::string_ends_with($this->field, 'to.destination')) {
			return 'It seems that the destination address is not accurate. Please, make sure that the postcode, city, and state are a correct combination.';
		}

		if (Utilities::string_ends_with($this->field, '.description')) {
			return sprintf('[Description] %s', $this->message);
		}

		return $this->message;
	}
}
